/*
**  merge.h
**
**  Shape From Motion utility.
**
**  
**  Shape From Motion is used to derive 3D information about an object by
**  analyzing images of its rotation around a vertical axis.
**
**  This utility takes as input the .TGA frames specified in the command line
**  and provides as output a .POV file containing the 3D triangular surfaces
**  it derives from the frames.  This file can be imported directly into the
**  Persistence of Vision Raytracer or can be converted to .DXF format for use
**  in popular CAD applications using pre-existing conversion utilities.
**
**  This software may be redistributed freely as long as any modifications of
**  the code are well documented and include the following copyright.
**
**  Copyright (C) 1995, Benjamin Nason Lipchak
*/

#define ON		1
#define OFF		0
#define LATER		-1
#define Y		1
#define X		0
#define CW 		1
#define CCW		0

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int merge( double *, long int, char *, int, int, int, int, 
           int, int, int, int, int, int );              
double median( double *, int );
int coords( char *, double *, int, int, int, int, int, int, int, int, int );

struct node_type;

typedef struct node_type NODE;

struct node_type
{
   double val;
   NODE *next;
};

